Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85979 - up2date fails to update kernel
Summary: up2date fails to update kernel
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date
Version: 7.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Fanny Augustin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-11 20:55 UTC by Jack Cheek
Modified: 2007-04-18 16:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-08-26 21:24:33 UTC


Attachments (Terms of Use)

Description Jack Cheek 2003-03-11 20:55:02 UTC
Description of problem:

Cannot update kernel
Version-Release number of selected component (if applicable):

up2date-2.8.39-1.7.1
How reproducible:

running up2date when a kernel need to be updated
Steps to Reproduce:
1.up2date -u
2.
3.
    
Actual results:
[root@screamer48 /]# up2date -u

Fetching package list for channel: redhat-linux-i386-7.1...
########################################

Fetching package list for channel: redhat-powertools-i386-7.1...
########################################

Fetching Obsoletes list for channel: redhat-linux-i386-7.1...
########################################

Fetching Obsoletes list for channel: redhat-powertools-i386-7.1...
########################################

Testing package set / solving RPM inter-dependencies...
########################################
file-3.39-8.7x.i386.rpm:    ########################## Done.                   
file-3.39-8.7x.src.rpm:     ########################## Done.                   
im-143-0.7x.560.noarch.rpm: ########################## Done.                   
im-143-0.7x.560.src.rpm:    ########################## Done.                   
kernel-2.4.18-26.7.x.i686.r ########################## Done.                   
kernel-2.4.18-26.7.x.src.rp ########################## Done.                   
kudzu-0.99.42.2.72-1.i386.r ########################## Done.                   
kudzu-0.99.42.2.72-1.src.rp ########################## Done.                   
kudzu-devel-0.99.42.2.72-1. ########################## Done.                   
kudzu-0.99.42.2.72-1.src.rp ########################## Done.                   
openssl-0.9.6-14.i386.rpm:  ########################## Done.                   
openssl-0.9.6-14.src.rpm:   ########################## Done.                   
openssl-devel-0.9.6-14.i386 ########################## Done.                   
openssl-0.9.6-14.src.rpm:   ########################## Done.                   
Preparing...                ########################################### [100%]

Installing...
   1:openssl                ########################################### [100%]
   2:file                   ########################################### [100%]
   3:im                     ########################################### [100%]
   4:kernel                 ########################################### [100%]
   5:kudzu                  warning: /etc/sysconfig/kudzu created as /etc/sysconfig/kudzu.rpmnew
########################################### [100%]
   6:kudzu-devel            ########################################### [100%]
   7:openssl-devel          ########################################### [100%]
Traceback (innermost last):
  File "/usr/sbin/up2date", line 781, in ?
    main()
  File "/usr/sbin/up2date", line 569, in main
    pkgNames, fullUpdate, dryRun = dry_run))
  File "/usr/sbin/up2date", line 770, in batchRun
    up2date.installBootLoader(batch.kernelsToInstall)
  File "/usr/share/rhn/up2date_client/up2date.py", line 592, in installBootLoader
    __install_lilo(kernelList)
  File "/usr/share/rhn/up2date_client/up2date.py", line 611, in __install_lilo
    ret = lilocfg.installNewImages(kernelList,test=0)
  File "/usr/share/rhn/up2date_client/lilocfg.py", line 274, in installNewImages
    (default, tmptype, default_image,image_path,other,defaultIsOther) = findDefault(config,imagelist)
  File "/usr/share/rhn/up2date_client/lilocfg.py", line 215, in findDefault
    (imagetype, default_image,image_path,other) = config.getImage(default)
  File "/usr/share/rhn/up2date_client/lilo.py", line 140, in getImage
    raise IndexError, "unknown image %s" % (label)
IndexError: unknown image linux
[root@screamer48 /]#




-----------------------lilo.conf--------------------------------
screamer48-jack-3 more lilo.conf
boot=/dev/sda
map=/boot/map
install=/boot/boot.b
prompt
timeout=50
message=/boot/message
linear
default=linux

image=/boot/vmlinuz-2.4.9-34
        label="linux"
        initrd=/boot/initrd-2.4.9-34.img
        read-only
        root=/dev/sda1

screamer48-jack-4 


Expected results:

not this
Additional info:

I have included my lilo.conf abov


Note You need to log in before you can comment on or make changes to this bug.